%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		xfwm4
Version: 	4.8.3
Release:	%mkrel 2
Summary:	Window manager for Xfce desktop environment
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Source2:	http://xfce-look.org/CONTENT/content-files/123744-kde44-oxygen.tar.bz2
Patch0:		xfwm4-4.8.3-use-oxygen.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.8.0
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.8.0
BuildRequires:	pkgconfig(libwnck-1.0)
Obsoletes:	xfwm

%description
The Xfce 4 window manager manages the placement of application
windows on the screen, provides beautiful window decorations,
manages workspaces or virtual desktops, and natively supports
multiscreen mode. It provides its own compositing manager (
from the Xorg Composite extension) for true transparency and shadows.
The Xfce 4 window manager includes a keyboard shorcuts editor for user
specific commands and basic windows manipulations, and it provides a
dialog for advanced tweaks.


%prep
%setup -q -a2
%patch0 -p0

%build
%configure2_5x \
	--enable-compositor \
	--enable-xsync \
	--enable-render \
	--enable-randr \
	--enable-startup-notification \
	--disable-static
%make

%install
%makeinstall_std

#handle docs in files section
mv %{buildroot}%{_defaultdocdir}/%{name} installed-docs

mkdir -p %{buildroot}%{_datadir}/themes/oxygen
mv kde44-oxygen/xfwm4 %{buildroot}%{_datadir}/themes/oxygen/

%find_lang %{name}

%files -f %{name}.lang
%doc example.gtkrc-2.0 AUTHORS COMPOSITOR README TODO installed-docs/*
%{_bindir}/xfwm4*
%dir %{_libexecdir}/xfce4/xfwm4
%{_libexecdir}/xfce4/xfwm4/helper-dialog
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/themes/*/xfwm4/
%{_datadir}/xfwm4


%changelog

* Tue Feb 14 2012 fwang <fwang> 4.8.3-2.mga2
+ Revision: 208839
- fix dir
- use oxygen as default theme

* Sat Jan 14 2012 kamil <kamil> 4.8.3-1.mga2
+ Revision: 195881
- new version 4.8.3
- clean spec

* Sun Nov 20 2011 wally <wally> 4.8.2-2.mga2
+ Revision: 170010
- clean BRs and use pkgconfg style if possible
- clean/fix files section

* Sat Sep 24 2011 wally <wally> 4.8.2-1.mga2
+ Revision: 147309
- new version 4.8.2

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-2.mga1
+ Revision: 53137
- drop old/unneeded scriptlets
- imported package xfwm4

